OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
viewer.cpp File Reference
`#include "viewer.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkitOSG\OMLegendGeo.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OMToolkitOSG\OMGeometry.h>`
`#include <OMToolkitOSG\OMDirectionsGeo.h>`
`#include <osg\geode>`
`#include <osg\material>`
`#include <osg\blendfunc>`
`#include <osgViewer\viewer>`
`#include <locale>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module for viewing a mesh"
const std::string | MODULE_ARGUMENTS = "visualise:component:omit:directions"
const std::string | MODULE_ARG_VISUALISE = "visualise"
const std::string | MODULE_ARG_NORMALS = "directions"
const std::string | MODULE_ARG_OMMIT = "omit"
const std::string | MODULE_ARG_VECTOR = "component"
const std::string | VISUALISE_NONE = "none"
const std::string | VISUALISE_CURVATURE = "curvature"
const std::string | VISUALISE_VATTRIBUTES = "vattributes"
const std::string | VISUALISE_VCOLOR = "vcolor"
const std::string | VISUALISE_DEFAULT = VISUALISE_NONE
const double | VISUALISE_OMMIT_DEFAULT = 2.0
const std::string | DIRECTIONS_NONE = "none"
const std::string | DIRECTIONS_CURVATURE = "curvature"
const std::string | DIRECTIONS_FNORMALS = "fnormals"
const std::string | DIRECTIONS_VNORMALS = "vnormals"
const std::string | DIRECTIONS_DEFAULT = DIRECTIONS_NONE
const double | DIRECTION_DEFAULT_LENGHT = 0.5
const int | VECTOR_COMPONENT_DEFAULT = 0

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/10/25

Module description:

- Module starts an OSG viewer and shows model, which is in input MDSTk channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const double DIRECTION_DEFAULT_LENGHT = 0.5

const std::string DIRECTIONS_CURVATURE = "curvature"

const std::string DIRECTIONS_DEFAULT = DIRECTIONS_NONE

const std::string DIRECTIONS_FNORMALS = "fnormals"

const std::string DIRECTIONS_NONE = "none"

const std::string DIRECTIONS_VNORMALS = "vnormals"

const std::string MODULE_ARG_NORMALS = "directions"

const std::string MODULE_ARG_OMMIT = "omit"

const std::string MODULE_ARG_VECTOR = "component"

const std::string MODULE_ARG_VISUALISE = "visualise"

const std::string MODULE_ARGUMENTS = "visualise:component:omit:directions"

const std::string MODULE_DESCRIPTION = "Module for viewing a mesh"

const int VECTOR_COMPONENT_DEFAULT = 0

const std::string VISUALISE_CURVATURE = "curvature"

const std::string VISUALISE_DEFAULT = VISUALISE_NONE

const std::string VISUALISE_NONE = "none"

const double VISUALISE_OMMIT_DEFAULT = 2.0

const std::string VISUALISE_VATTRIBUTES = "vattributes"

const std::string VISUALISE_VCOLOR = "vcolor"